SET NOCOUNT ON

--==================================================================================================================================
--DROPAR TODAS AS TRIGGERS DO ETL.
DECLARE @NOME VARCHAR(1000),
		@TRIGGERPREFIX VARCHAR(1000)

	SET @TRIGGERPREFIX = '%_ETL_OMNI_%'

	DECLARE CURNOME CURSOR FOR

	SELECT TRIGGERS.NAME TRIGGERNAME			
	FROM      SYSOBJECTS TRIGGERS
		  INNER JOIN SYSOBJECTS TABLES ON TRIGGERS.PARENT_OBJ = TABLES.ID
		  INNER JOIN SYSCOMMENTS COMMENTS ON TRIGGERS.ID = COMMENTS.ID
	WHERE	TRIGGERS.XTYPE = 'TR'
		AND TABLES.XTYPE = 'U'
		AND TRIGGERS.NAME LIKE @TRIGGERPREFIX
	ORDER BY TABLES.NAME, TRIGGERS.NAME

	OPEN CURNOME

	FETCH NEXT FROM CURNOME 
	INTO @NOME

	WHILE @@FETCH_STATUS = 0
	BEGIN

		EXEC ('DROP TRIGGER ' + @NOME)

		FETCH NEXT FROM CURNOME 
		INTO @NOME
	END
	 
CLOSE CURNOME;
DEALLOCATE CURNOME;
--==================================================================================================================================
GO

IF NOT EXISTS (SELECT TRIGGERS.NAME TRIGGERNAME FROM SYSOBJECTS TRIGGERS WHERE	TRIGGERS.XTYPE = 'TR' AND TRIGGERS.NAME = 'LXI_LJ_ETL_REPOSITORIO')
	BEGIN

		EXEC ('CREATE TRIGGER dbo.LXI_LJ_ETL_REPOSITORIO
				ON LJ_ETL_REPOSITORIO
			   INSTEAD OF INSERT
				AS
				BEGIN 
						IF (SELECT CASE WHEN APP_NAME() LIKE ''%datasync%retail%'' THEN 1 ELSE 0 END) = 0 AND (Isnull(CONTEXT_INFO(), 0x) != 0x53454D5F46494C415F45544C)
						BEGIN
							INSERT INTO [dbo].[LJ_ETL_REPOSITORIO]
								([TABELA]
								,[FILTRO]
								,[ID_ETL_TIPO]
								,[INDICA_EXCLUSAO]							   
								,[CODIGO_FILIAL]
								,[DATA_HORA_CRIACAO]
								,[VERSAO])
							SELECT	INSERTED.[TABELA]
									,INSERTED.[FILTRO]
									,INSERTED.[ID_ETL_TIPO]
									,INSERTED.[INDICA_EXCLUSAO]							   
									,INSERTED.[CODIGO_FILIAL]
									,INSERTED.[DATA_HORA_CRIACAO]
									,LV.VERSAO AS [VERSAO]
								FROM INSERTED
								INNER JOIN (SELECT DISTINCT ID_ETL_TIPO, INATIVO, VERSAO FROM LJ_ETL_TIPO_COMPONENTE) C ON INSERTED.[ID_ETL_TIPO] = C.ID_ETL_TIPO AND C.INATIVO = 0
								INNER JOIN (SELECT DISTINCT VERSAO FROM LJ_ETL_VERSAO_LOJA WHERE INATIVO = 0) LV ON LV.VERSAO = C.VERSAO
								WHERE NOT EXISTS (SELECT TOP 1 1 FROM [DBO].[LJ_ETL_REPOSITORIO] AS REP WHERE REP.FILTRO  = INSERTED.FILTRO AND REP.ID_ETL_TIPO = INSERTED.ID_ETL_TIPO AND REP.VERSAO = LV.VERSAO)

						END
				END')
END
GO

CREATE TRIGGER DBO.LXI_ETL_OMNI_COLECOES
	ON COLECOES
FOR INSERT NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_COLECOES', 'COLECAO='+CONVERT(VARCHAR(500), INSERTED.COLECAO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_COLECOES'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM  = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_COLECOES
	ON COLECOES
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_COLECOES', 'COLECAO='+CONVERT(VARCHAR(500), INSERTED.COLECAO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_COLECOES'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3 
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_CORES_BASICAS
	ON CORES_BASICAS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_CORES_BASICAS', 'COR='+CONVERT(VARCHAR(500), INSERTED.COR), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_CORES_BASICAS'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_CORES_BASICAS
	ON CORES_BASICAS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_CORES_BASICAS', 'COR='+CONVERT(VARCHAR(500), INSERTED.COR), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_CORES_BASICAS'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJAS_REDE
	ON LOJAS_REDE
FOR INSERT NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_LOJAS_REDE', 'REDE_LOJAS='+CONVERT(VARCHAR(500), INSERTED.REDE_LOJAS), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJAS_REDE'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJAS_REDE
	ON LOJAS_REDE
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_LOJAS_REDE', 'REDE_LOJAS='+CONVERT(VARCHAR(500), INSERTED.REDE_LOJAS), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJAS_REDE'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_EMPRESA
	ON EMPRESA
FOR INSERT NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_EMPRESA', 'EMPRESA='+CONVERT(VARCHAR(500), INSERTED.EMPRESA), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_EMPRESA'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_EMPRESA
	ON EMPRESA
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_EMPRESA', 'EMPRESA='+CONVERT(VARCHAR(500), INSERTED.EMPRESA), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_EMPRESA'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_CADASTRO_CLI_FOR
	ON CADASTRO_CLI_FOR
FOR INSERT NOT FOR REPLICATION
AS
BEGIN

	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_CADASTRO_CLI_FOR', 'NOME_CLIFOR='+CONVERT(VARCHAR(500), INSERTED.NOME_CLIFOR), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_CADASTRO_CLI_FOR'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3 
				AND INSERTED.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_CADASTRO_CLI_FOR
	ON CADASTRO_CLI_FOR
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
	INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
	SELECT		DISTINCT 'OMNI_CADASTRO_CLI_FOR', 'NOME_CLIFOR='+CONVERT(VARCHAR(500), INSERTED.NOME_CLIFOR), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
		FROM	INSERTED
				INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_CADASTRO_CLI_FOR'
		WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
				AND LJ_LX_ETL_TIPO.ORIGEM = 3 
				AND INSERTED.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_FILIAIS
	ON FILIAIS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_FILIAIS', 'FILIAL='+CONVERT(VARCHAR(500), INSERTED.FILIAL), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED 				
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = INSERTED.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_FILIAIS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3 
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_FILIAIS
	ON FILIAIS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_FILIAIS', 'FILIAL='+CONVERT(VARCHAR(500), INSERTED.FILIAL), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED 				
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = INSERTED.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_FILIAIS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3 
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJAS_VAREJO
	ON LOJAS_VAREJO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_FILIAIS', 'FILIAL='+CONVERT(VARCHAR(500), FILIAIS.FILIAL), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED			
						INNER JOIN FILIAIS ON FILIAIS.FILIAL =  INSERTED.FILIAL
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = FILIAIS.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_FILIAIS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3 
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
  
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJAS_VAREJO
	ON LOJAS_VAREJO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_FILIAIS', 'FILIAL='+CONVERT(VARCHAR(500), FILIAIS.FILIAL), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED			
						INNER JOIN FILIAIS ON FILIAIS.FILIAL =  INSERTED.FILIAL
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = FILIAIS.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_FILIAIS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3 
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
  
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJA_TERMINAIS
	ON LOJA_TERMINAIS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_FILIAIS', 'FILIAL='+CONVERT(VARCHAR(500), FILIAIS.FILIAL), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED			
						INNER JOIN LOJAS_VAREJO	ON LOJAS_VAREJO.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL	
						INNER JOIN FILIAIS ON FILIAIS.FILIAL = LOJAS_VAREJO.FILIAL
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = FILIAIS.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_FILIAIS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJA_TERMINAIS
	ON LOJA_TERMINAIS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
SELECT * FROM LOJA_TERMINAIS
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_FILIAIS', 'FILIAL='+CONVERT(VARCHAR(500), FILIAIS.FILIAL), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED			
						INNER JOIN LOJAS_VAREJO	ON LOJAS_VAREJO.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL	
						INNER JOIN FILIAIS ON FILIAIS.FILIAL = LOJAS_VAREJO.FILIAL
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = FILIAIS.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_FILIAIS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJA_VENDEDORES
	ON LOJA_VENDEDORES
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDEDORES', 'VENDEDOR='+CONVERT(VARCHAR(500), INSERTED.VENDEDOR), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LOJAS_VAREJO	ON LOJAS_VAREJO.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL	
						INNER JOIN FILIAIS ON FILIAIS.FILIAL = INSERTED.CODIGO_FILIAL
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = FILIAIS.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDEDORES'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJA_VENDEDORES
	ON LOJA_VENDEDORES
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDEDORES', 'VENDEDOR='+CONVERT(VARCHAR(500), INSERTED.VENDEDOR), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LOJAS_VAREJO	ON LOJAS_VAREJO.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL	
						INNER JOIN FILIAIS ON FILIAIS.FILIAL = INSERTED.CODIGO_FILIAL
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = FILIAIS.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDEDORES'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_GRUPO
	ON PRODUTOS_GRUPO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_GRUPO', 'GRUPO_PRODUTO='+CONVERT(VARCHAR(500), INSERTED.GRUPO_PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_GRUPO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_GRUPO
	ON PRODUTOS_GRUPO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_GRUPO', 'GRUPO_PRODUTO='+CONVERT(VARCHAR(500), INSERTED.GRUPO_PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_GRUPO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_SUBGRUPO
	ON PRODUTOS_SUBGRUPO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_GRUPO', 'GRUPO_PRODUTO='+CONVERT(VARCHAR(500), PRODUTOS_GRUPO.GRUPO_PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	PRODUTOS_GRUPO
						INNER JOIN INSERTED ON PRODUTOS_GRUPO.GRUPO_PRODUTO = INSERTED.GRUPO_PRODUTO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_GRUPO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_SUBGRUPO
	ON PRODUTOS_SUBGRUPO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_GRUPO', 'GRUPO_PRODUTO='+CONVERT(VARCHAR(500), PRODUTOS_GRUPO.GRUPO_PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	PRODUTOS_GRUPO
						INNER JOIN INSERTED ON PRODUTOS_GRUPO.GRUPO_PRODUTO = INSERTED.GRUPO_PRODUTO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_GRUPO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_TAMANHOS
	ON PRODUTOS_TAMANHOS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_TAMANHOS', 'GRADE='+CONVERT(VARCHAR(500), INSERTED.GRADE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_TAMANHOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_TAMANHOS
	ON PRODUTOS_TAMANHOS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_TAMANHOS', 'GRADE='+CONVERT(VARCHAR(500), INSERTED.GRADE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_TAMANHOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_GRIFFES
	ON PRODUTOS_GRIFFES
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_GRIFFES', 'GRIFFE='+CONVERT(VARCHAR(500), INSERTED.GRIFFE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_GRIFFES'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_GRIFFES
	ON PRODUTOS_GRIFFES
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_GRIFFES', 'GRIFFE='+CONVERT(VARCHAR(500), INSERTED.GRIFFE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_GRIFFES'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_TIPOS
	ON PRODUTOS_TIPOS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_TIPOS', 'TIPO_PRODUTO='+CONVERT(VARCHAR(500), INSERTED.TIPO_PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_TIPOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_TIPOS
	ON PRODUTOS_TIPOS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_TIPOS', 'TIPO_PRODUTO='+CONVERT(VARCHAR(500), INSERTED.TIPO_PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_TIPOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_LINHAS
	ON PRODUTOS_LINHAS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_LINHAS', 'LINHA='+CONVERT(VARCHAR(500), INSERTED.LINHA), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_LINHAS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_LINHAS
	ON PRODUTOS_LINHAS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_LINHAS', 'LINHA='+CONVERT(VARCHAR(500), INSERTED.LINHA), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_LINHAS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_CATEGORIA
	ON PRODUTOS_CATEGORIA
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_CATEGORIA', 'COD_CATEGORIA='+CONVERT(VARCHAR(500), INSERTED.COD_CATEGORIA), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_CATEGORIA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_CATEGORIA
	ON PRODUTOS_CATEGORIA
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_CATEGORIA', 'COD_CATEGORIA='+CONVERT(VARCHAR(500), INSERTED.COD_CATEGORIA), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_CATEGORIA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_SUBCATEGORIA
	ON PRODUTOS_SUBCATEGORIA
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_CATEGORIA', 'COD_CATEGORIA='+CONVERT(VARCHAR(500), PRODUTOS_CATEGORIA.COD_CATEGORIA), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	PRODUTOS_CATEGORIA
						INNER JOIN INSERTED	ON PRODUTOS_CATEGORIA.COD_CATEGORIA = INSERTED.COD_CATEGORIA
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_CATEGORIA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_SUBCATEGORIA
	ON PRODUTOS_SUBCATEGORIA
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_CATEGORIA', 'COD_CATEGORIA='+CONVERT(VARCHAR(500), PRODUTOS_CATEGORIA.COD_CATEGORIA), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	PRODUTOS_CATEGORIA
						INNER JOIN INSERTED	ON PRODUTOS_CATEGORIA.COD_CATEGORIA = INSERTED.COD_CATEGORIA
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_CATEGORIA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_SEGMENTO
	ON PRODUTOS_SEGMENTO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_SEGMENTO', 'COD_PRODUTO_SEGMENTO='+CONVERT(VARCHAR(500), INSERTED.COD_PRODUTO_SEGMENTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_SEGMENTO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_SEGMENTO
	ON PRODUTOS_SEGMENTO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_SEGMENTO', 'COD_PRODUTO_SEGMENTO='+CONVERT(VARCHAR(500), INSERTED.COD_PRODUTO_SEGMENTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_SEGMENTO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_SOLUCAO
	ON PRODUTOS_SOLUCAO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_SOLUCAO', 'COD_PRODUTO_SOLUCAO='+CONVERT(VARCHAR(500), INSERTED.COD_PRODUTO_SOLUCAO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_SOLUCAO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
		
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_SOLUCAO
	ON PRODUTOS_SOLUCAO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_SOLUCAO', 'COD_PRODUTO_SOLUCAO='+CONVERT(VARCHAR(500), INSERTED.COD_PRODUTO_SOLUCAO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_SOLUCAO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
		
END
GO

CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_MODELO
	ON PRODUTOS_MODELO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_MODELO', 'MODELAGEM='+CONVERT(VARCHAR(500), INSERTED.MODELAGEM), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_MODELO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
		
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_MODELO
	ON PRODUTOS_MODELO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_MODELO', 'MODELAGEM='+CONVERT(VARCHAR(500), INSERTED.MODELAGEM), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_SOLUCAOPRODUTOS_MODELO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
		
END
GO

 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS
	ON PRODUTOS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS', 'PRODUTO='+CONVERT(VARCHAR(500), INSERTED.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS
	ON PRODUTOS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS', 'PRODUTO='+CONVERT(VARCHAR(500), INSERTED.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTO_CORES
	ON PRODUTO_CORES
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS', 'PRODUTO='+CONVERT(VARCHAR(500), PRODUTOS.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	PRODUTOS
						INNER JOIN INSERTED	ON PRODUTOS.PRODUTO = INSERTED.PRODUTO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTO_CORES
	ON PRODUTO_CORES
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS', 'PRODUTO='+CONVERT(VARCHAR(500), PRODUTOS.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	PRODUTOS
						INNER JOIN INSERTED	ON PRODUTOS.PRODUTO = INSERTED.PRODUTO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_BARRA
	ON PRODUTOS_BARRA
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS', 'PRODUTO='+CONVERT(VARCHAR(500), PRODUTOS.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	PRODUTOS
						INNER JOIN INSERTED	ON PRODUTOS.PRODUTO = INSERTED.PRODUTO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_BARRA
	ON PRODUTOS_BARRA
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS', 'PRODUTO='+CONVERT(VARCHAR(500), PRODUTOS.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	PRODUTOS
						INNER JOIN INSERTED	ON PRODUTOS.PRODUTO = INSERTED.PRODUTO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_FOTO
	ON PRODUTOS_FOTO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_FOTO', 'PRODUTO='+CONVERT(VARCHAR(500), INSERTED.PRODUTO) + '{#}NUMERO_FOTO='+CONVERT(VARCHAR(500), INSERTED.NUMERO_FOTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_FOTO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_FOTO
	ON PRODUTOS_FOTO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_FOTO', 'PRODUTO='+CONVERT(VARCHAR(500), INSERTED.PRODUTO) + '{#}NUMERO_FOTO='+CONVERT(VARCHAR(500), INSERTED.NUMERO_FOTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_FOTO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_TABELAS_PRECO
	ON TABELAS_PRECO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_TABELAS_PRECO', 'CODIGO_TAB_PRECO='+CONVERT(VARCHAR(500), INSERTED.CODIGO_TAB_PRECO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_TABELAS_PRECO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND INSERTED.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_TABELAS_PRECO
	ON TABELAS_PRECO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_TABELAS_PRECO', 'CODIGO_TAB_PRECO='+CONVERT(VARCHAR(500), INSERTED.CODIGO_TAB_PRECO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_TABELAS_PRECO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND INSERTED.NAO_ENVIA_UX = 0
 
END
GO

--LOJA OPERAÇÃO VENDA
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJA_OPERACOES_VENDA
	ON LOJA_OPERACOES_VENDA
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_TABELAS_PRECO', 'CODIGO_TAB_PRECO='+CONVERT(VARCHAR(500), TABELAS_PRECO.CODIGO_TAB_PRECO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN TABELAS_PRECO ON INSERTED.CODIGO_TAB_PRECO = TABELAS_PRECO.CODIGO_TAB_PRECO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_TABELAS_PRECO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND TABELAS_PRECO.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJA_OPERACOES_VENDA
	ON LOJA_OPERACOES_VENDA
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_TABELAS_PRECO', 'CODIGO_TAB_PRECO='+CONVERT(VARCHAR(500), TABELAS_PRECO.CODIGO_TAB_PRECO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN TABELAS_PRECO ON INSERTED.CODIGO_TAB_PRECO = TABELAS_PRECO.CODIGO_TAB_PRECO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_TABELAS_PRECO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND TABELAS_PRECO.NAO_ENVIA_UX = 0
 
END
GO 

CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_PRECOS
	ON PRODUTOS_PRECOS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_PRECOS', 'CODIGO_TAB_PRECO='+CONVERT(VARCHAR(500), INSERTED.CODIGO_TAB_PRECO) +'{#}PRODUTO='+CONVERT(VARCHAR(500), INSERTED.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN TABELAS_PRECO ON TABELAS_PRECO.CODIGO_TAB_PRECO = INSERTED.CODIGO_TAB_PRECO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_PRECOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND TABELAS_PRECO.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_PRECOS
	ON PRODUTOS_PRECOS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_PRECOS', 'CODIGO_TAB_PRECO='+CONVERT(VARCHAR(500), INSERTED.CODIGO_TAB_PRECO) +'{#}PRODUTO='+CONVERT(VARCHAR(500), INSERTED.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN TABELAS_PRECO ON TABELAS_PRECO.CODIGO_TAB_PRECO = INSERTED.CODIGO_TAB_PRECO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_PRECOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND TABELAS_PRECO.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PRODUTOS_PRECO_COR
	ON PRODUTOS_PRECO_COR
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_PRECOS', 'CODIGO_TAB_PRECO='+CONVERT(VARCHAR(500), PRODUTOS_PRECOS.CODIGO_TAB_PRECO) +'{#}PRODUTO='+CONVERT(VARCHAR(500), PRODUTOS_PRECOS.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0
				FROM	INSERTED
						INNER JOIN PRODUTOS_PRECOS ON PRODUTOS_PRECOS.PRODUTO = INSERTED.PRODUTO AND PRODUTOS_PRECOS.CODIGO_TAB_PRECO = INSERTED.CODIGO_TAB_PRECO
						INNER JOIN TABELAS_PRECO ON TABELAS_PRECO.CODIGO_TAB_PRECO = INSERTED.CODIGO_TAB_PRECO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_PRECOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND TABELAS_PRECO.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PRODUTOS_PRECO_COR
	ON PRODUTOS_PRECO_COR
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PRODUTOS_PRECOS', 'CODIGO_TAB_PRECO='+CONVERT(VARCHAR(500), PRODUTOS_PRECOS.CODIGO_TAB_PRECO) +'{#}PRODUTO='+CONVERT(VARCHAR(500), PRODUTOS_PRECOS.PRODUTO), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN PRODUTOS_PRECOS ON PRODUTOS_PRECOS.PRODUTO = INSERTED.PRODUTO AND PRODUTOS_PRECOS.CODIGO_TAB_PRECO = INSERTED.CODIGO_TAB_PRECO
						INNER JOIN TABELAS_PRECO ON TABELAS_PRECO.CODIGO_TAB_PRECO = INSERTED.CODIGO_TAB_PRECO
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PRODUTOS_PRECOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND TABELAS_PRECO.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_CLIENTES_VAREJO
	ON CLIENTES_VAREJO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_CLIENTES_VAREJO', 'CODIGO_CLIENTE='+CONVERT(VARCHAR(500), INSERTED.CODIGO_CLIENTE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_CLIENTES_VAREJO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_CLIENTES_VAREJO
	ON CLIENTES_VAREJO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_CLIENTES_VAREJO', 'CODIGO_CLIENTE='+CONVERT(VARCHAR(500), INSERTED.CODIGO_CLIENTE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_CLIENTES_VAREJO'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_PROPRIEDADE
	ON PROPRIEDADE
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PROPRIEDADE', 'PROPRIEDADE='+CONVERT(VARCHAR(500), INSERTED.PROPRIEDADE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PROPRIEDADE'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_PROPRIEDADE
	ON PROPRIEDADE
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_PROPRIEDADE', 'PROPRIEDADE='+CONVERT(VARCHAR(500), INSERTED.PROPRIEDADE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_PROPRIEDADE'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
IF EXISTS(SELECT TOP 1 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'PROP_CLIENTES_VAREJO')
BEGIN
 
	EXEC('
		CREATE TRIGGER DBO.LXI_ETL_OMNI_PROP_CLIENTES_VAREJO
			ON PROP_CLIENTES_VAREJO
		FOR INSERT NOT FOR REPLICATION
		AS
		BEGIN

					INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
					SELECT		DISTINCT ''OMNI_PROP_CLIENTES_VAREJO'', ''PROPRIEDADE=''+CONVERT(VARCHAR(500), INSERTED.PROPRIEDADE) + ''{#}CODIGO_CLIENTE=''+CONVERT(VARCHAR(500), INSERTED.CODIGO_CLIENTE) +
								''{#}ITEM_PROPRIEDADE=''+CONVERT(VARCHAR(500), INSERTED.ITEM_PROPRIEDADE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
						FROM	INSERTED
								INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = ''OMNI_PROP_CLIENTES_VAREJO''
						WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
								AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
		END
	')
 
	EXEC('
		CREATE TRIGGER DBO.LXU_ETL_OMNI_PROP_CLIENTES_VAREJO
			ON PROP_CLIENTES_VAREJO
		FOR UPDATE NOT FOR REPLICATION
		AS
		BEGIN
 

					INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
					SELECT		DISTINCT ''OMNI_PROP_CLIENTES_VAREJO'', ''PROPRIEDADE=''+CONVERT(VARCHAR(500), INSERTED.PROPRIEDADE) + ''{#}CODIGO_CLIENTE=''+CONVERT(VARCHAR(500), INSERTED.CODIGO_CLIENTE) +
								''{#}ITEM_PROPRIEDADE=''+CONVERT(VARCHAR(500), INSERTED.ITEM_PROPRIEDADE), LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
						FROM	INSERTED
								INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = ''OMNI_PROP_CLIENTES_VAREJO''
						WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
								AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
		END
	')
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_ESTOQUE_PRODUTOS
	ON ESTOQUE_PRODUTOS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_ESTOQUE_PRODUTOS', 'PRODUTO='+CONVERT(VARCHAR(500), INSERTED.PRODUTO) + '{#}COR_PRODUTO='+CONVERT(VARCHAR(500), INSERTED.COR_PRODUTO) + '{#}FILIAL='+CONVERT(VARCHAR(500), INSERTED.FILIAL), 
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN FILIAIS ON FILIAIS.FILIAL = INSERTED.FILIAL
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = FILIAIS.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_ESTOQUE_PRODUTOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_ESTOQUE_PRODUTOS
	ON ESTOQUE_PRODUTOS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_ESTOQUE_PRODUTOS', 'PRODUTO='+CONVERT(VARCHAR(500), INSERTED.PRODUTO) + '{#}COR_PRODUTO='+CONVERT(VARCHAR(500), INSERTED.COR_PRODUTO) + '{#}FILIAL='+CONVERT(VARCHAR(500), INSERTED.FILIAL), 
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN FILIAIS ON FILIAIS.FILIAL = INSERTED.FILIAL
						INNER JOIN CADASTRO_CLI_FOR ON CADASTRO_CLI_FOR.CLIFOR = FILIAIS.CLIFOR
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_ESTOQUE_PRODUTOS'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
						AND CADASTRO_CLI_FOR.NAO_ENVIA_UX = 0
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJA_VENDA
	ON LOJA_VENDA
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), INSERTED.CODIGO_FILIAL) + '{#}TICKET='+CONVERT(VARCHAR(500), INSERTED.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, INSERTED.DATA_VENDA) + N'/' + DATENAME(MONTH, INSERTED.DATA_VENDA) + N'/' + DATENAME(DAY, INSERTED.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJA_VENDA
	ON LOJA_VENDA
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), INSERTED.CODIGO_FILIAL) + '{#}TICKET='+CONVERT(VARCHAR(500), INSERTED.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, INSERTED.DATA_VENDA) + N'/' + DATENAME(MONTH, INSERTED.DATA_VENDA) + N'/' + DATENAME(DAY, INSERTED.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	INSERTED
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJA_VENDA_PARCELAS
	ON LOJA_VENDA_PARCELAS
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), LOJA_VENDA.CODIGO_FILIAL) +			
						'{#}TICKET='+CONVERT(VARCHAR(500), LOJA_VENDA.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(MONTH, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(DAY, LOJA_VENDA.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	LOJA_VENDA
						INNER JOIN INSERTED ON LOJA_VENDA.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL AND LOJA_VENDA.TERMINAL = INSERTED.TERMINAL AND LOJA_VENDA.LANCAMENTO_CAIXA = INSERTED.LANCAMENTO_CAIXA
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJA_VENDA_PARCELAS
	ON LOJA_VENDA_PARCELAS
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), LOJA_VENDA.CODIGO_FILIAL) +			
						'{#}TICKET='+CONVERT(VARCHAR(500), LOJA_VENDA.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(MONTH, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(DAY, LOJA_VENDA.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	LOJA_VENDA
						INNER JOIN INSERTED ON LOJA_VENDA.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL AND LOJA_VENDA.TERMINAL = INSERTED.TERMINAL AND LOJA_VENDA.LANCAMENTO_CAIXA = INSERTED.LANCAMENTO_CAIXA
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJA_VENDA_PRODUTO
	ON LOJA_VENDA_PRODUTO
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), LOJA_VENDA.CODIGO_FILIAL) +			
						'{#}TICKET='+CONVERT(VARCHAR(500), LOJA_VENDA.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(MONTH, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(DAY, LOJA_VENDA.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO,	0 
				FROM	LOJA_VENDA
						INNER JOIN INSERTED ON LOJA_VENDA.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL AND LOJA_VENDA.TICKET = INSERTED.TICKET AND LOJA_VENDA.DATA_VENDA = INSERTED.DATA_VENDA 
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJA_VENDA_PRODUTO
	ON LOJA_VENDA_PRODUTO
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), LOJA_VENDA.CODIGO_FILIAL) +			
						'{#}TICKET='+CONVERT(VARCHAR(500), LOJA_VENDA.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(MONTH, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(DAY, LOJA_VENDA.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	LOJA_VENDA
						INNER JOIN INSERTED ON LOJA_VENDA.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL AND LOJA_VENDA.TICKET = INSERTED.TICKET AND LOJA_VENDA.DATA_VENDA = INSERTED.DATA_VENDA 
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJA_VENDA_TROCA
	ON LOJA_VENDA_TROCA
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), LOJA_VENDA.CODIGO_FILIAL) +			
						'{#}TICKET='+CONVERT(VARCHAR(500), LOJA_VENDA.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(MONTH, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(DAY, LOJA_VENDA.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	LOJA_VENDA
						INNER JOIN INSERTED ON LOJA_VENDA.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL AND LOJA_VENDA.TICKET = INSERTED.TICKET AND LOJA_VENDA.DATA_VENDA = INSERTED.DATA_VENDA
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJA_VENDA_TROCA
	ON LOJA_VENDA_TROCA
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), LOJA_VENDA.CODIGO_FILIAL) +			
						'{#}TICKET='+CONVERT(VARCHAR(500), LOJA_VENDA.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(MONTH, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(DAY, LOJA_VENDA.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	LOJA_VENDA
						INNER JOIN INSERTED ON LOJA_VENDA.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL AND LOJA_VENDA.TICKET = INSERTED.TICKET AND LOJA_VENDA.DATA_VENDA = INSERTED.DATA_VENDA
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXI_ETL_OMNI_LOJA_VENDA_VENDEDORES
	ON LOJA_VENDA_VENDEDORES
FOR INSERT NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), LOJA_VENDA.CODIGO_FILIAL) +			
						'{#}TICKET='+CONVERT(VARCHAR(500), LOJA_VENDA.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(MONTH, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(DAY, LOJA_VENDA.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	LOJA_VENDA
						INNER JOIN INSERTED ON LOJA_VENDA.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL AND LOJA_VENDA.TICKET = INSERTED.TICKET AND LOJA_VENDA.DATA_VENDA = INSERTED.DATA_VENDA
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
CREATE TRIGGER DBO.LXU_ETL_OMNI_LOJA_VENDA_VENDEDORES
	ON LOJA_VENDA_VENDEDORES
FOR UPDATE NOT FOR REPLICATION
AS
BEGIN
 
			SET LANGUAGE US_ENGLISH;

			INSERT INTO  LJ_ETL_REPOSITORIO(TABELA,FILTRO,ID_ETL_TIPO,INDICA_EXCLUSAO)
			SELECT		DISTINCT 'OMNI_OMNI_LOJA_VENDA', 'CODIGO_FILIAL='+CONVERT(VARCHAR(500), LOJA_VENDA.CODIGO_FILIAL) +			
						'{#}TICKET='+CONVERT(VARCHAR(500), LOJA_VENDA.TICKET) +			
						'{#}DATA_VENDA='+ LTRIM(RTRIM(DATENAME(YEAR, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(MONTH, LOJA_VENDA.DATA_VENDA) + N'/' + DATENAME(DAY, LOJA_VENDA.DATA_VENDA))),
						LJ_LX_ETL_TIPO.ID_ETL_TIPO, 0 
				FROM	LOJA_VENDA
						INNER JOIN INSERTED ON LOJA_VENDA.CODIGO_FILIAL = INSERTED.CODIGO_FILIAL AND LOJA_VENDA.TICKET = INSERTED.TICKET AND LOJA_VENDA.DATA_VENDA = INSERTED.DATA_VENDA
						INNER JOIN LJ_LX_ETL_TIPO ON LJ_LX_ETL_TIPO.DESC_ETL_TIPO = 'OMNI_LOJA_VENDA'
				WHERE	LJ_LX_ETL_TIPO.INATIVO = 0 
						AND LJ_LX_ETL_TIPO.ORIGEM = 3
 
END
GO
 
SET NOCOUNT OFF